package com.sw.mes.yb.agv.exceptions;

import com.sw.mes.yb.agv.constant.AgvErrorType;

import lombok.Getter;

@Getter
public class AgvCallException extends RuntimeException{
	
	private Integer code;
	
	/**
     * 使用已有的错误类型
     * @param type 枚举类中的错误类型
     */
	public AgvCallException(AgvErrorType type) {
		super(type.getMsg());
        this.code = type.getCode();
	}
	
	/**
     * 自定义错误类型
     * @param code 自定义的错误码
     * @param msg 自定义的错误提示
     */
    public AgvCallException(Integer code, String msg){
        super(msg);
        this.code = code;
    }

}
